<?php

class sysitem_item_store {

    public function updateStore($itemId = null, $skuId, $store)
    {
        //更新sku库存
        $skuStoreModel = app::get('sysitem')->model('sku_store');
        $filter = ['sku_id'=>$skuId];
        $skuStore = $skuStoreModel->getRow('*', $filter);
        $freez = $skuStore['freez'];
        $skuStore['store'] = $freez + $store;
        $skuStoreModel->save($skuStore);

        if(is_null($itemId))
        {
            $itemId = $skuStore['item_id'];
        }

        //更新item库存
        $filter = ['item_id'=>$itemId];
        $skuStores = $skuStoreModel->getList('store,freez', $filter);
        $store = 0;
        $freez = 0;
        foreach($skuStores as $skuStore)
        {
            $freez = $freez + $skuStore['freez'];
            $store = $store + $skuStore['store'];
        }
        $itemStoreModel = app::get('sysitem')->model('item_store');
        $itemStore = ['item_id'=>$itemId, 'store'=>$store, 'freez'=>$freez];
        $itemStoreModel->save($itemStore);

        return true;
    }

    //更新指定sku bn的库存
    public function updateStoreByBn($skuBn, $shopId, $store)
    {
        $ids = $this->__getIdsByBn($skuBn, $shopId);
        $itemId = $ids['item_id'];
        $skuId = $ids['sku_id'];
        return $this->updateStore($itemId, $skuId, $store);
    }

    private function __getIdsByBn($skuBn, $shopId)
    {
        if( !$skuBn || !$shopId ) return false;

        $ItemModel = app::get('sysitem')->model('item');
        $skuModel = app::get('sysitem')->model('sku');

        //根据sku bn获取到对应的item_id, 不同店铺的bn可以重复
        $filter = ['bn'=>$skuBn];
        $skuRes = $skuModel->getList('item_id', $filter);
        $itemIds = array_column($skuRes,'item_id');
        if( empty($itemIds) )
        {
            throw new LogicException( "bn {$skuBn} 不存在" );
        }

        //过滤出指定店铺的，对应skuBn的item_id
        $filter = ['item_id|in'=>$itemIds, 'shop_id'=>$shopId];
        $itemId = $ItemModel->getRow('item_id', $filter);
        if( empty($itemId) )
        {
            throw new LogicException( "该店铺中bn {$skuBn} 不存在" );
        }

        return $skuModel->getRow('item_id,sku_id', ['item_id'=>$itemId, 'bn'=>$skuBn] );
    }
}

