<?php

class systrade_api_trade_cancel_create {

    public $apiDescription = "申请取消订单";

    public function getParams()
    {
        $return['params'] = array(
            'tid' => ['type'=>'string', 'valid'=>'required', 'example'=>'','description'=>'订单id'],
            'cancel_reason' => ['type'=>'string', 'valid'=>'required|max:50', 'example'=>'','description'=>'订单取消原因'],
            //如果开放API，shop_id 和 user_id 通过oauth赋值
            'user_id' => ['type'=>'int', 'valid'=>'', 'example'=>'','description'=>'订单所属用户id'],
            'shop_id' => ['type'=>'int', 'valid'=>'', 'example'=>'','description'=>'订单所属店铺id'],
        );

        return $return;
    }

    public function cancelTrade($params)
    {
        if( $params['user_id'] )
        {
            $userId = $params['user_id'];
        }

        if( $params['shop_id'] )
        {
            $shopId = $params['shop_id'];
        }

        $cancelReason = $params['cancel_reason'];
        kernel::single('systrade_data_trade_cancel')->create($params['tid'], $cancelReason, $userId, $shopId);
        return true;
    }
}
