;var goodsChoose = function(options) {
    options = $.extend({
        url: '',
        getProUrl: '',
        getBrandUrl: '',
        getGoodsUrl: '',
        target: document.body,
        modalDom: '#goods_modal',
        handle: '.select-goods',
        catBox: '#goods_category',
        catlistItem: '#goods_category li',
        catDefault: '分类',
        brandBox: '#goods_brand',
        brandList: '#brand_list',
        brandListItem: '#brand_list li',
        brandDefault: '品牌',
        filterBtn: '#search_goods',
        clearFilterBtn: '#clear_filter',
        clearBrandBtn: '#clear_brand',
        submitBtn: '#choose_goods',
        goodsList: '#goods_list',
        goodsListItem: '#goods_list > ul > li',
        insertWhere: null,
        textcol: null,
        view: null,
        limit: 0,
        getPro: function(insertDom, getProUrl, catId, brandId, name){
            $.ajax({
                url: getProUrl,
                type: 'POST',
                dataType: 'html',
                data: {
                    "searchname": name,
                    "catId": catId,
                    "brandId": brandId
                },
                success: function(rs) {
                    $(insertDom).html(rs);
                }
            });
        },
        getBrand: function(getBraUrl, catId, insertDom){
            if (catId != '') {
                $.ajax({
                    url: getBraUrl,
                    type: 'POST',
                    dataType: 'json',
                    data: {
                        "catId": catId
                    },
                    success: function(data) {
                        if (data) {
                            var result = '';
                            for (var i = 0; i < data.length; i++) {
                                result += '<li data-val="' + data[i].brand_id + '">' + data[i].brand_name + '</li>';
                            };
                            $(insertDom).empty().append(result);
                        }
                    }
                });
            }
        }

    }, options || {});

    var url,
        getProUrl,
        insertWhere,
        textcol,
        view,
        catId,
        brandId;

    var selectId = [];

    $(options.target).on('click', options.handle, function(e) {
        e.preventDefault();
        var container = $(this).parents('.select-goods-panel');

        insertWhere = $(container).find(this.getAttribute('data-insertwhere') || options.insertWhere || '.selected-goods-list');
        url = this.getAttribute('data-remote') || options.url;
        textcol = this.getAttribute('data-textcol') || options.textcol;
        view = this.getAttribute('data-view') || options.view;

        $(options.modalDom).modal('show');
    });

    $(options.modalDom).on('show.bs.modal', function() {
        selectId = [];
        $(this).find('.modal-content').load(url);
    }).on('shown.bs.modal', function() {
        getProUrl = $(options.filterBtn).attr('data-remote') || options.getProUrl;
        options.getPro(options.goodsList, getProUrl);
    }).on('hide.bs.modal', function() {
        options.getPro(options.goodsList, getProUrl);
    }).on('click', options.catlistItem, function() {
        var isData = $(this).attr('data-val');
        if(isData){
            catId = $(this).attr('data-val');
            var getBraUrl = $(options.brandBox).attr('data-remote') || options.getBrandUrl;
            var catName = $(this).text();
            options.getBrand(getBraUrl, catId, options.brandList);
            $(this).parents('.filters-list').hide().siblings('.filter-name').text(catName);
            $(options.brandBox).find('.filter-name').text(options.brandDefault);
        }
    }).on('click', options.brandListItem, function(){
        brandId = $(this).attr('data-val');
        var catName = $(this).text();
        $(this).parents('.filters-list').hide().siblings('.filter-name').text(catName);
    }).on('click', options.filterBtn, function() {
        var name = $(this).parent().find('input[type="text"]').val();
        options.getPro(options.goodsList, getProUrl, catId, brandId, name);
    }).on('click', options.goodsListItem, function(){
        $(this).toggleClass('checked');
        var dataId = $(this).attr('data-id');
        if($(this).hasClass('checked')){
            selectId.push(dataId);
        }else{
            for (var i = 0; i < selectId.length; i++) {
                if(selectId[i] == dataId){
                    selectId.splice(i,1);
                }
            };
        }
    }).on('mouseover mouseout', options.catBox, function(event){
        var el = $(this).children('.filters-list');

        if(event.type == "mouseover"){
          el.show()
        }else if(event.type == "mouseout"){
          el.hide()
        }
    }).on('mouseover mouseout', options.brandBox, function(){
        var el = $(this).children('.filters-list');

        if(event.type == "mouseover"){
          el.show()
        }else if(event.type == "mouseout"){
          el.hide()
        }
    }).on('mouseover mouseout', options.catlistItem, function(){
        var el = $(this).children('.child-list');

        if(!!$(el)){
            if(event.type == "mouseover"){
              el.show()
            }else if(event.type == "mouseout"){
              el.hide()
            }
        }
    }).on('click', options.clearFilterBtn, function(e){
        e.preventDefault();
        catId = null;
        brandId = null;
        $(options.catBox).find('.filter-name').text(options.catDefault);
        $(options.brandBox).find('.filter-name').text(options.brandDefault);
    }).on('click', options.clearBrandBtn, function(e){
        e.preventDefault();
        brandId = null;
        $(options.brandBox).find('.filter-name').text(options.brandDefault);
    }).on('click', options.submitBtn, function(){
        console.log(selectId);
        var submitUrl = this.getAttribute('data-remote') || options.getGoodsUrl;
        if (selectId.length == 0) {
            $('#messagebox').message('请选择商品');
            return;
        }
        $.post(submitUrl, {
            'item_id': selectId,
            'textcol': textcol,
            'view': view
        }, function(rs) {
            if (rs) {
                selectId = [];
                $(insertWhere).empty().html(rs);
                $(options.modalDom).modal('hide');
            } else {
                $('#messagebox').message('还未添加商品');
            }
        });
    }).on('click', '.pagination a', function(e){
        console.log(selectId);
        e.preventDefault();
        $.post($(this).attr('href'),function(rs){
            $(options.goodsList).html(rs);
            var list = $(options.goodsList).find('li');
            for (var i = 0; i < list.length; i++) {
                var itemId = $(list[i]).attr('data-id');
                for (var j = 0; j < selectId.length; j++) {
                    if(itemId == selectId[j]){
                        $(list[i]).addClass('checked');
                    }
                };
            };
        });
    });
}

$(function() {
    goodsChoose();
})
